Subject: Re: FYI: imx-sdma firmware is not compatible with SLUB slab allocator

From: Jurgen Lambrecht <[email-masked]>
Date: Tue, 3 Sep 2019 14:32:23 +0000

On 9/3/19 7:57 AM, Robin Gong wrote:
> CAUTION: This Email originated from outside Televic. Do not click links or open attachments unless you recognize the sender and know the content is safe.
>
>
> On 2019-8-29 14:24, Jurgen Lambrecht wrote:
>> On 8/28/19 4:05 PM, Robin Gong wrote:
>>> Could you help check if below commit in your side?
>>> commit ebb853b1bd5f659b92c71dc6a9de44cfc37c78c0
>>> Author: Lucas Stach<[email-masked]>
>>> Date:   Tue Nov 6 03:40:28 2018 +0000
>> yes, it's in.
>>
>> Also the 2 follow-up commits of Lucas Stach:
>> 9063f5a99ea76f85935e3e453422d15e7be89b9e and
>> 374f384bc66f7a928f11eb20c0518f0f3fc1ffd6.
I had also already cherry picked your commit 
3f5de4c7e16164a344a905649f08e8a90a68ff9f "dmaengine: imx-sdma: remove 
BD_INTR for channel0".

But also then kernel hangs at loading sdma FW.

(this looked the most interesting commit)

>>
>> And that are the last commits on drivers/dma/imx-sdma.c for my 4.19.x+fslc
>> branch. But I have already tried 5.1.x+fslc, and it also got stuck.
> Sorry, I can't reproduce your issue on Linux 5.3-rc6 with 'CONFIG_SLOB=y' and
> SDMA firmware built in kernel, Could you have a try on our imx6ul-14x14-evk
> board with Linux 5.3-rc6 directly(no any patch needed)?

This works on our own board (with imx6ul)!

Thanks,

Jürgen

> root@imx6ul7d:~# dmesg | grep dma
> [    0.991928] mxs-dma 1804000.dma-apbh: initialized
> [    4.162199] imx-sdma 20ec000.sdma: loaded firmware 3.5
>> Kind regards,
>>
>> Jürgen

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel